Uploaded image for project: 'EJBCA'
  1. EJBCA
  2. ECA-7043

Upgrade with long version number can fail

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: EJBCA 6.14.0
    • Component/s: None
    • Labels:
    • Issue discovered during:
      Review
    • Sprint:
      EJBCA Sprint 14

      Description

      When upgrading with a long version number (of the new or previous version), for example an alpha or patch release, the StringTools.isLesserThan method can throw a ArrayIndexOutOfBounds.

      This bug was encountered in an automatic upgrade, but it could happen with the "ant upgrade" command or the GUI post-upgrade functionality as well.

        Attachments

          Activity

            People

            • Assignee:
              samuel Samuel Lidén Borell
              Reporter:
              samuel Samuel Lidén Borell
              Verified by:
              Mike Agrenius Kushner
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0 minutes
                0m
                Logged:
                Time Spent - 40 minutes
                40m